PDA

View Full Version : can't build libglut.so



godach
06-27-2002, 08:09 PM
Hello, I am a Linux newbie trying to install GLUT 3.7 downloaded off a link on the GLUT page on this site. My system is RedHat 7.3 and nothing has been modified. My problem is no matter what I tried, the shared library libglut.so can't be built. I tried to follow the instructions given in README as follows:

1) Replacing Glut.cf in the glut-3.7 directory with the one in the subdirectory
glut-3.7/linux

2) In glut-3.7/, run the command ./mkmkfiles.imake

3) Now this is the part that I don't quite get it: it says something like "Go to glut-3.7/lib/glut and take the copy of Makefile out of the archive and "replace the old one". What is the "old one" it is referring to? I tried several things in vain, including

a) Replacing the Makefile(s) in glut-3.7/ and in glut-3.7/lib with the one in glut-3.7/lib/glut
b) Replacing the Makefile in glut-3.7/lib/glut with the one in glut-3.7/linux

What I hope is when I type "make" in glut-3.7/lib/glut, the libglut.so would be built. But it didn't work in both cases.

Could somebody show me where I did wrong or the correct way to compile the shared library?

Thanks a lot,

Daniel

06-28-2002, 04:45 AM
I think that it is b) but a lot has changed since then. Do you not have the library already in /usr/lib? If not is it easier to build from the Mesa sources.

godach
06-28-2002, 05:14 PM
Thanks for the suggestion. What I finally did was simply grabbing the rpm at rpmfind.net. This is lame http://www.opengl.org/discussion_boards/ubb/smile.gif, so hopefully I will learn how to write a makefile.

Daniel